/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.web.maven;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

public class MavenFormatter {
  private DateFormat timestampFrmt = new SimpleDateFormat("yyyyMMdd.hhmmss");
  private DateFormat lastUpdatedFrmt = new SimpleDateFormat("yyyyMMddhhmmss");
  private DateFormat buildNumberFrmt = new SimpleDateFormat("DDhhmmss");

  public String getBuildNumber(Date date) {
    return removeLeadingZeros(buildNumberFrmt.format(date));
  }

  public String getTimestamp(Date date) {
    return timestampFrmt.format(date);
  }

  public String getLastUpdated(Date date) {
    return lastUpdatedFrmt.format(date);
  }

  public String getSnapshotVersion(Date date) {
    return "1.0-" + getTimestamp(date)+ "-" + getBuildNumber(date);
  }

  protected String removeLeadingZeros(String toProcess) {
    if (toProcess.startsWith("0")) {
      return removeLeadingZeros(toProcess.substring(1));
    }
    return toProcess;
  }
}
